Subject: [PATCH 17/20] ARM: mach-s3c64xx: properly disable CPU idle call

From: [email-masked] (Mark Brown)
Date: Tue, 20 Dec 2011 23:36:21 +0000

On Tue, Dec 20, 2011 at 01:54:00PM -0500, Nicolas Pitre wrote:

> So if you can confirm the kernel works fine with that disable_hlt() 
> commented out (while still including the rest of the patch) then I can 
> change the patch.  And if you can measure a difference in power 
> consumption when the system is idle then that would be even better.

Tested-by: Mark Brown <[email-masked]>

with and without the disable_hlt() call.  I don't have equipment with me
to measure power but I don't expect much effect without additional code
to enable power saving in WFI as for some reason the default behaviour
isn't to save power.